# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Thu Jun 17 11:13:22 2021
# ------------------------------------------------

package:
  name: smart_open
  version: 5.1.0
source:
  fn: smart_open-5.1.0.tar.gz
  sha256: e4dc1350b240ef0759e343e4e2f361bfd4e5477bb2619866e97f80240652e92e
  url: https://pypi.io/packages/source/s/smart_open/smart_open-5.1.0.tar.gz
build:
  noarch: python
  number: '0'
  script: /tmp/build/80754af9/smart_open_1623928409369/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . --no-deps -vv
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.5.25 h06a4308_1
    - certifi 2021.5.30 py39h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - pip 21.1.2 py39h06a4308_0
    - python 3.9.5 h12debd9_4
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - sqlite 3.35.4 hdfb4753_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - boto3
    - google-cloud-storage
    - python >=3.6
    - requests
test:
  commands:
    - pip check
  imports:
    - smart_open
  requires:
    - mock
    - pip
    - responses
about:
  description: 'smart_open is a Python 3 library for efficient streaming of very large

    files from/to storages such as S3, GCS, Azure Blob Storage, HDFS, WebHDFS,

    HTTP, HTTPS, SFTP, or local filesystem.  It supports transparent,

    on-the-fly (de-)compression for a variety of different formats.

    '
  dev_url: https://github.com/RaRe-Technologies/smart_open
  doc_url: https://github.com/RaRe-Technologies/smart_open/blob/develop/README.rst
  home: https://github.com/RaRe-Technologies/smart_open
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Python library for efficient streaming of large files
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - mpenkov
    - souravsingh
